package com.tfg.om.business.repository;

import java.util.List;

import com.jeveris.persistence.jpa.repository.IJPABaseRepository;
import com.tfg.om.business.model.Contacto;
import com.tfg.om.business.model.Oficina;

public interface IContactoRepository extends IJPABaseRepository<Contacto, Integer>{

	List<Contacto> getAllContactos();

	Integer getId(String nombre);

	List<Contacto> getContactosByOficina(Oficina oficina);

}
