package com.tfg.om.business.repository;

import java.util.List;

import com.jeveris.persistence.jpa.repository.IJPABaseRepository;
import com.tfg.om.business.model.Estado;
import com.tfg.om.business.model.Oportunidad;

public interface IOportunidadRepository extends IJPABaseRepository<Oportunidad, Integer>{

	public abstract List<Oportunidad> getAllWithFiltered(int first, int pageSize);

	public abstract List<Oportunidad> getByEstado(Estado e);

	public abstract Oportunidad getById(int id);

	void removeById(int id);

}
