package com.tfg.om.business.repository.impl;

import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.Query;

import org.springframework.stereotype.Repository;

import com.jeveris.persistence.jpa.repository.impl.JPABaseRepositoryImpl;
import com.tfg.om.business.model.Lugar;
import com.tfg.om.business.model.Oficina;
import com.tfg.om.business.model.Oportunidad;
import com.tfg.om.business.repository.IOficinaRepository;

@Repository
public class OficinaRepositoryImpl extends JPABaseRepositoryImpl<Oficina, Integer> implements IOficinaRepository {

	@Override
	public Integer getId(String nombreOficina) {
		EntityManager em = getEntityManager();
		Query query = em
				.createQuery("select O.id from Oficina O where O.nombreOficina='"+ nombreOficina +"'");
		Integer id =  Integer.parseInt(query.getResultList().get(0).toString());
		return id;
	}
	
	
	@Override
	public List<Oficina> getOficinas(Lugar lugar) {
		
		EntityManager em = getEntityManager();
		
		Query query = em.createNamedQuery("Oficina.findByLugar", Oficina.class);
		query.setParameter("lugarvalue", lugar);
		List<Oficina> oficinas = query.getResultList();
		
		return oficinas;
	}
	
	
}
