package com.tfg.om.business.service.impl;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Map;

import javax.xml.datatype.Duration;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.tfg.om.business.model.Actividad;
import com.tfg.om.business.model.Cliente;
import com.tfg.om.business.model.Contacto;
import com.tfg.om.business.model.Estado;
import com.tfg.om.business.model.Oficina;
import com.tfg.om.business.model.Oportunidad;
import com.tfg.om.business.model.Usuario;
import com.tfg.om.business.repository.IActividadRepository;
import com.tfg.om.business.repository.IClienteRepository;
import com.tfg.om.business.repository.IContactoRepository;
import com.tfg.om.business.repository.IEstadoRepository;
import com.tfg.om.business.repository.ILugarRepository;
import com.tfg.om.business.repository.IOficinaRepository;
import com.tfg.om.business.repository.IOportunidadRepository;
import com.tfg.om.business.repository.IRolRepository;
import com.tfg.om.business.repository.IUsuarioRepository;
import com.tfg.om.business.service.IEstadoService;
import com.tfg.om.business.service.IOportunidadService;

@Service
public class EstadoServiceImpl implements IEstadoService {
	
	@Autowired
	private IEstadoRepository estadoRepository;

	@Override
	public List<Estado> getEstados() {
		
		return estadoRepository.getAll();
	}

	
}
