package com.tfg.om.business.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.tfg.om.business.model.Usuario;
import com.tfg.om.business.repository.IUsuarioRepository;
import com.tfg.om.business.service.IUsuarioService;

@Service
public class UsuarioServiceImpl implements IUsuarioService {

	@Autowired
	private IUsuarioRepository usuarioRepository;

	@Override
	public List<Usuario> getAllUsuarios() {
		return usuarioRepository.getAll();
	}

	@Override
	public void setUsuario(Usuario usuario) {
		usuarioRepository.add(usuario);
	}
	
}
