package com.tfg.om.business.repository;

import java.util.Date;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
import org.springframework.transaction.annotation.Transactional;

import com.tfg.om.business.model.Oficina;
import com.tfg.om.business.model.Oportunidad;

@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(locations = {
		"classpath:/spring/integration-core-config.xml",
		"classpath:/spring/app-custom-persistence-jpa.xml",
		"classpath:/spring/app-om-business-beans.xml" })
@Transactional
public class ExampleRepositoryTest {

	private static final Logger LOGGER = LoggerFactory
			.getLogger(ExampleRepositoryTest.class);

	@Autowired
	private IOportunidadRepository oportunidadRepository;
	
	@Autowired
	private IOficinaRepository oficinaRepository;
	
	@Test
	public void exampleRepositoryTest(){
			if (LOGGER.isDebugEnabled()) {
				LOGGER.debug("this is only an example test to show how to load ARQ components for the test.");
			}
	}
	
	@Test
	public void aaaaaTest() {
		if (LOGGER.isDebugEnabled()) {
			LOGGER.debug("this is only an example test to show how to load ARQ components for the test.");
		}
		try {
			Oportunidad oportunidad = oportunidadRepository.get(2);
			
			oportunidad.setFechaModificacion(new Date());
			
//			oportunidadRepository.add(arg0);
			oportunidadRepository.update(oportunidad);
//			oportunidadRepository.flush();
		} catch (Exception e) {
			System.out.println("asdasdasdasdasdasd" + e.getMessage());
		}
		
		
	}
	
	
	@Test
	public void bbbTest() {
		if (LOGGER.isDebugEnabled()) {
			LOGGER.debug("this is only an example test to show how to load ARQ components for the test.");
		}
		try {
			Oficina oficina = oficinaRepository.get(1);
			
			oficina.setNombreOficina("TRALARALARA");
			
//			oportunidadRepository.add(arg0);
			oficinaRepository.add(null);			
			oficinaRepository.update(oficina);
//			oportunidadRepository.flush();
		} catch (Exception e) {
			System.out.println("asdasdasdasdasdasd" + e.getMessage());
		}
		
		
	}
}
