package com.tfg.om.web.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.tfg.om.business.model.Actividad;
import com.tfg.om.business.service.IActividadService;
import com.tfg.om.web.service.IActividadWS;

@Service
public class ActividadWSImpl implements IActividadWS {

	@Autowired
	private IActividadService actividadService;

	@Override
	public List<Actividad> getAllSectores() {
		
		List<Actividad> sectores = new ArrayList<Actividad>(actividadService.getAllSectores());
		return sectores;
	}

	@Override
	public void setSector(String sector) {
		actividadService.setSector(sector);
		
	}

	
	

	
}
