package com.tfg.om.web.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.tfg.om.business.model.Oficina;
import com.tfg.om.business.service.IOficinaService;
import com.tfg.om.web.service.IOficinaWS;

@Service
public class OficinaWSImpl implements IOficinaWS {

	@Autowired
	IOficinaService oficinaService;
	
	@Override
	public List<Oficina> getAllOficinas() {

		return oficinaService.getAllOficinas();
		
	}

	@Override
	public void setOficina(Oficina oficina) {
		
		oficinaService.setOficina(oficina);
	}

	@Override
	public void updateOficina(Oficina oficina) {
		oficinaService.updateOficina(oficina);
		
	}


	
}
