package com.tfg.om.web.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.tfg.om.business.model.Usuario;
import com.tfg.om.business.service.IUsuarioService;
import com.tfg.om.web.service.IUsuarioWS;

@Service
public class UsuarioWSImpl implements IUsuarioWS {

	@Autowired
	private IUsuarioService usuarioService;

	@Override
	public List<Usuario> getAllUsuarios() {
		return usuarioService.getAllUsuarios();
	}

	@Override
	public void setUsuario(Usuario usuario) {
		usuarioService.setUsuario(usuario);
	}


	
}
