package com.tfg.om.business.repository.impl;

import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.Query;

import org.springframework.stereotype.Repository;

import com.jeveris.persistence.jpa.repository.impl.JPABaseRepositoryImpl;
import com.tfg.om.business.model.Actividad;
import com.tfg.om.business.repository.IActividadRepository;

@Repository
public class ActividadRepositoryImpl extends JPABaseRepositoryImpl<Actividad, Integer> implements IActividadRepository {

	@Override
	public List<Actividad> getAllSectores() {
		EntityManager em = getEntityManager();
		Query query = em
				.createQuery("SELECT A.sector FROM Actividad A");

		return query.getResultList();
	}

	@Override
	public Integer getId(String sector) {
		EntityManager em = getEntityManager();
		Query query = em
				.createQuery("select a.id from Actividad a where a.sector='"+ sector +"'");
		Integer id =  Integer.parseInt(query.getResultList().get(0).toString());
		return id;
	}

}
