package com.tfg.om.business.repository.impl;

import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.Query;

import org.springframework.stereotype.Repository;

import com.jeveris.persistence.jpa.repository.impl.JPABaseRepositoryImpl;
import com.tfg.om.business.model.Lugar;
import com.tfg.om.business.repository.ILugarRepository;

@Repository
public class LugarRepositoryImpl extends JPABaseRepositoryImpl<Lugar, Integer>
		implements ILugarRepository {


	@Override
	public List<Lugar> getAllPaises() {
		EntityManager em = getEntityManager();
		Query query = em
				.createQuery("SELECT E.pais  FROM Lugar E GROUP BY E.pais");

		return query.getResultList();
	}

	@Override
	public List<Lugar> getCiudades(String pais) {
		EntityManager em = getEntityManager();
		Query query = em
				.createQuery("select L from Lugar L where L.pais='"
						+ pais + "'");

		return query.getResultList();
	}
	
	@Override
	public Integer getId(String pais , String ciudad) {
		EntityManager em = getEntityManager();
		Query query = em
				.createQuery("select E.id from Lugar E where E.pais='"+ pais +"' and E.ciudad='"+ciudad+"'");
		Integer id =  Integer.parseInt(query.getResultList().get(0).toString());
		return id;
	}


}
