package com.tfg.om.business.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.tfg.om.business.model.Actividad;
import com.tfg.om.business.repository.IActividadRepository;
import com.tfg.om.business.service.IActividadService;

@Service
public class ActividadServiceImpl implements IActividadService {
	
	@Autowired
	private IActividadRepository actividadRepository;

	@Override
	public List<Actividad> getAllSectores() {
		
		List<Actividad> sectores = actividadRepository.getAll();

		return sectores;
	}

	@Override
	public void setSector(String sector) {
		Actividad actividad = new Actividad();
		actividad.setSector(sector);
		actividadRepository.add(actividad);
		
	}

}
