package com.tfg.om.business.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.tfg.om.business.model.Cliente;
import com.tfg.om.business.repository.IClienteRepository;
import com.tfg.om.business.service.IClienteService;

@Service
public class ClienteServiceImpl implements IClienteService {
	
	@Autowired
	private IClienteRepository clienteRepository;

	@Override
	public List<Cliente> getAllClientes() {
		return clienteRepository.getAll();
	}

	@Override
	public void setCliente(String cliente) {
		Cliente cli = new Cliente();
		cli.setEmpresa(cliente);

		clienteRepository.add(cli);
		
	}
		
}
