package com.tfg.om.business.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.tfg.om.business.model.Oficina;
import com.tfg.om.business.repository.IOficinaRepository;
import com.tfg.om.business.service.IOficinaService;

@Service
public class OficinaServiceImpl implements IOficinaService {

	@Autowired
	IOficinaRepository oficinaRepository;
	
	@Override
	public List<Oficina> getAllOficinas() {
		return oficinaRepository.getAll();
		
	}

	@Override
	public void setOficina(Oficina oficina) {
		oficinaRepository.add(oficina);
		
	}

	@Override
	public void updateOficina(Oficina oficina) {
		oficinaRepository.update(oficina);
	}
	
	
		
}
