package com.tfg.om.web.controller.rest;

import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.Iterator;

import javax.servlet.http.HttpServletResponse;

import org.apache.commons.io.FileUtils;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.multipart.MultipartHttpServletRequest;

@Controller
@RequestMapping("/file")
public class FileRestController {

	UploadedFile ufile;

	public FileRestController() {
		System.out.println("init RestController");
		ufile = new UploadedFile();
	}

	@RequestMapping(value = "/upload", method = RequestMethod.POST)
	public @ResponseBody
	void upload(MultipartHttpServletRequest request,
			HttpServletResponse response) {

		Iterator<String> itr = request.getFileNames();

		MultipartFile mpf = request.getFile(itr.next());
		System.out.println(mpf.getOriginalFilename() + " uploaded!");

		try {
			// just temporary save file info into ufile
			ufile.length = mpf.getBytes().length;
			ufile.bytes = mpf.getBytes();
			ufile.type = mpf.getContentType();
			ufile.name = mpf.getOriginalFilename();

			String ruta = "C:\\Users\\Israel\\Desktop\\TFG\\tmp\\"
					+ System.currentTimeMillis() + "_" + ufile.name;
			java.io.File file = new java.io.File(ruta);
			FileUtils.writeByteArrayToFile(file, mpf.getBytes());

			System.out.println("guardado en la ruta:" + ruta);
			
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
	
	
}