package com.tfg.om.web.controller.rest;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import com.tfg.om.business.model.Rol;
import com.tfg.om.web.service.IRolWS;

@Controller
@RequestMapping("/rol")
public class RolRestController {
	
	@Autowired
	private IRolWS rolService;

	
	@RequestMapping(value = "getRoles", method = RequestMethod.GET)
	@ResponseBody
	public List<Rol> getRoles() {
		return rolService.getRoles();
	}


}
