package com.tfg.om.web.controller.rest;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import com.tfg.om.business.model.Oportunidad;
import com.tfg.om.business.model.Usuario;
import com.tfg.om.web.service.IUsuarioWS;

@Controller
@RequestMapping("/usuario")
public class UsuarioRestController {

	@Autowired
	private IUsuarioWS usuarioService;

	
	@RequestMapping(value = "setUsuario", method = RequestMethod.POST)
	@ResponseBody
	public void nuevaOportunidad(
			@RequestBody Usuario usuario) {
		
		usuarioService.setUsuario(usuario);
	}
	
	
	/**
	 * obtiene los Usuarios
	 * 
	 * @param
	 * @return lista de los Usuarios
	 */
	@RequestMapping(value = "getUsuarios", method = RequestMethod.GET)
	@ResponseBody
	public List<Usuario> getPaises() {
		
		List<Usuario> usuarios = usuarioService.getAllUsuarios();
		
		return usuarios;
	}
	
	
	

}
