package com.tfg.om.web.service;

import java.util.ArrayList;
import java.util.List;

import com.tfg.om.business.model.Lugar;
import com.tfg.om.business.model.Oficina;


public interface ILugaresWS {

	/**
	 * Get all Paises
	 * @return
	 */
	ArrayList<Lugar> getAllPaises();

	/**
	 * Set a lugar
	 */
	void setLugares(String pais , String ciudad);
	
	/**
	 * Set oficina
	 */
	void setOficina(String pais , String ciudad , String nombreOficia);

	/**
	 * Obtiene las ciudades de un pais
	 * @param Pais donde buscar la ciudades
	 * @return ciudades del Pais
	 */
	ArrayList<Lugar> getCiudades(String pais);

	void setOficina(Oficina oficina);

	List<Oficina> getOficinas(Lugar lugar);

	List<Lugar> getAllLugares();
	
		
}
