package com.tfg.om.web.service.impl;

import java.util.ArrayList;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.tfg.om.business.model.Cliente;
import com.tfg.om.business.service.IClienteService;
import com.tfg.om.web.service.IClienteWS;

@Service
public class ClienteWSImpl implements IClienteWS {

	@Autowired
	private IClienteService clienteService;

	@Override
	public ArrayList<Cliente> getAllClientes() {
		
		ArrayList<Cliente> clientes = new ArrayList<Cliente>(clienteService.getAllClientes());				
		return clientes;	
	}

	@Override
	public void setCliente(String cliente) {

		clienteService.setCliente(cliente);
		
	}
	

	
}
